<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitPreparationLabel" jhiTranslate="mpmApp.unitPreparation.home.search">Create or edit a Unit Preparation</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>

    <div class="modal-body">

        <p-dataTable
            [value]="unitPreparations"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(selection)]="selected"
            dataKey="idSlip"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.unitPreparation.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.dateCreate'|translate}}" [style]="{'width': '150px'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.slipNumber'|translate}}" field="slipNumber" [editable]="true">
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.userMekanik'|translate}}" field="userMekanik" [editable]="true">
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.shipTo'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.shipToId">
                        <a [routerLink]="['../ship-to', rowData.shipToId  ]" >{{rowData.shipToName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.internal'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.internalId">
                        <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalName}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.facility'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.facilityId">
                        <a [routerLink]="['../facility', rowData.facilityId  ]" >{{rowData.facilityDescription}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.inventoryItem'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.inventoryItemId">
                        <a [routerLink]="['../inventory-item', rowData.inventoryItemId  ]" >{{rowData.inventoryItemId}}</a>
                    </div>
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.unitPreparation.orderItem'|translate}}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.orderItemId">
                        <a [routerLink]="['../order-item', rowData.orderItemId  ]" >{{rowData.orderItemId}}</a>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit"
            label="{{'entity.action.select' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>